import tkinter as tk
import tkinter.messagebox
import os


def callback():
    """
    Asks the user if they really want to quit
    """
    if tkinter.messagebox.askokcancel("Quit", "Do you really wish to quit?"):
        root.destroy()





def list_info():
    """
    Displays user input as textBox
    """
    try:
        
        Text11.configure(foreground="black")
        Text11.delete("1.0",tk.END)

        f = open("Data\MzarGazir.txt", "r")
        contents = f.read()
        #Text1= f.read()
        
        Text11.insert(tk.END,contents)
       # print(Text1)
        f.close()
    except FileNotFoundError:
        contents = ' '
     
           
####    categories_list_label = tk.Label(Frame3, text = " " + '\n'+ contents[:-1], bg = "darkorange", fg ="black", font = "arial, 10",justify=tk.LEFT,  yscrollcommand=y_scrollbar.set, xscrollcommand=x_scrollbar.set).grid(row=1,column=0)

 
root = tk.Tk()
root.protocol("WM_DELETE_WINDOW", callback)
#root.geometry("1024x600")
#---------Form, Center of Screen--
window_width = 865
window_height = 600
# get the screen size of your computer [width and height using the root object as foolows]
screen_width = root.winfo_screenwidth()
screen_height = root.winfo_screenheight()
# Get the window position from the top dynamically as well as position from left or right as follows
position_top = int(screen_height/2 -window_height/2)
position_right = int(screen_width / 2 - window_width/2)
# this is the line that will center your window
root.geometry(f'{window_width}x{window_height}+{position_right}+{position_top}')

root.resizable(0, 0)
root.title("Palais du Mzar / Saint Louis School (1880-1915), Ghazir, Lebanon")

#----
img22_frame = tk.LabelFrame(root, text='')
img22_frame.grid(row=1, column=2, sticky='w') 
# show picture
img22=tk.PhotoImage(file = "0Mzarpictures.png")
w22=tk.Label(img22_frame,image = img22).pack(anchor = 'center')
b2 = tk.Button(root, image=img22, command=list_info).grid(row=1, column=2, sticky='n')

img2_frame = tk.LabelFrame(root, text='')
img2_frame.grid(row=1, column=1, sticky='n') 
# show picture
img21=tk.PhotoImage(file = "0MzarGazir.png")
w21=tk.Label(img2_frame,image = img21).pack(anchor = 'center')
b1 = tk.Button(root, image=img21, command=list_info).grid(row=1, column=1, sticky='n')

img3_frame = tk.LabelFrame(root, text='')
img3_frame.grid(row=1, column=3, sticky='n') 
# show picture
img31=tk.PhotoImage(file = "mzard.png")
w31=tk.Label(img3_frame,image = img31).pack(anchor = 'center')
# button with image binded to the same function 
b3 = tk.Button(root, image=img31, command=list_info).grid(row=1, column=3, sticky='n')


Frame3 = tk.Frame(root)
Frame3.place(relx=0.001, rely=0.68, relheight=0.33, relwidth=0.99)
Frame3.configure(relief="groove", borderwidth="0", background="#ffffff", highlightbackground="#ffffff", highlightcolor="black", width=870)
Text11 = tk.Text(Frame3)
Text11.place(relx=0.002, rely=0.002,  height=180, width=860)

scroll_y = tk.Scrollbar(Frame3, orient="vertical", command=Text11.yview)
        
scroll_y.pack(side="left", expand=True, fill="y", anchor ='ne' )
Text11.configure(yscrollcommand=scroll_y.set, padx=960)
Text11.configure(background="white", borderwidth="2", font = ('Times New Roman',12,'bold'), foreground="Maroon", highlightbackground="#ffffff", highlightcolor="black", insertbackground="black", selectbackground="#e6e6e6", selectforeground="black", padx=15, pady=4 )#, height=60, width=94, wrap=WORD
Text11.insert(tk.END,"... Click Button Info or any Images - more History Data Display, about this Palais / School in Ghazir, Lebanon ...")

bouton_list = tk.Button(root, background="silver", font = ('Times New Roman',10,'bold'), text="Info", command=list_info).grid(row=1, column =3, sticky='sw', padx=2, pady=3, ipadx=15, ipady= 5)
bouton_quitter = tk.Button(root, background="silver", font = ('Times New Roman',10,'bold'), text="Exit", command=callback).grid(row=1, column =3, sticky='se', padx=2, pady=3, ipadx=15, ipady= 5)

root.mainloop()
 